using System;
using Aurora.Tenant.Domain.Entities;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System.Collections.Generic;

namespace Aurora.Tenant.EntityFramework.EntitiesConfig
{
    /// <summary>
    /// 类别 映射配置类
    /// </summary>
    public class TenantMap : BaseEntityTypeConfiguration<TenantUser>
    {
        public override void Map(EntityTypeBuilder<TenantUser> builder)
        {
            builder.Property(x => x.Name).HasMaxLength(255).IsRequired();
            builder.Property(x => x.Remark).HasMaxLength(255).IsRequired();
        }
    }
}